Page MenuHomePhabricator

Remove deprecated EventLogging schema modules
Closed, ResolvedPublic

Description

Follows from:

The next branch has been cut, and the migration is pretty-well underway (possibly finished?). This is to track any remaining blockers for removal (usage in tarballed/wmf-deployed extensions).

Status:

Event Timeline

Krinkle created this task.Apr 17 2019, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 7:43 PM
fdans moved this task from Incoming to Radar on the Analytics board.Apr 18 2019, 4:21 PM

@Krinkle: so how is this going to move forward? Do you search around for all uses of schema.Something and make patches? Want me to do that?

@Milimetric Yep. I believe there's also a number of such tasks in Phabricator already (from people finding the warnings), which we can attach as sub tasks as well. Thanks!

Milimetric triaged this task as High priority.
Milimetric moved this task from Radar to Operational Excellence on the Analytics board.
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

@Krinkle I found three tasks that I attached as subtasks, they're all resolved already. If you know of any others, do attach them.

I searched for using.*schema\. with the fabulous https://codesearch.wmflabs.org (shout-out to Lego):

I'll make subtasks for the first three and send patches.

all known blockers are subtasks of this tasks and they have all been completed. I guess the next step is to let it bake a little and remove the actual schema modules.

Change 511605 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaEvents@master] Remove use of deprecated 'ext.eventLogging.subscriber' module

https://gerrit.wikimedia.org/r/511605

Change 511605 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove use of deprecated 'ext.eventLogging.subscriber' module

https://gerrit.wikimedia.org/r/511605

Change 511948 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/skins/MinervaNeue@master] skins.minerva.scripts: Remove use of deprecated ext.eventLogging.subscriber

https://gerrit.wikimedia.org/r/511948

Krinkle added a comment.EditedMay 22 2019, 7:05 PM

@Milimetric I'm seeing a few more uses still at this Codesearch query, including:

  • GuidedTour,
  • GettingStarted,
  • MobileFrontend,
  • Popups,
  • VisualEditor.

Change 511948 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] skins.minerva.scripts: Remove use of deprecated ext.eventLogging.subscriber

https://gerrit.wikimedia.org/r/511948

Good point, I only looked for "using" statements. I'll add subtasks and merge patches for all those uses in the next couple of weeks.

Milimetric moved this task from Done to In Progress on the Analytics-Kanban board.Jun 5 2019, 1:37 AM

Change 516694 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/VisualEditor@master] trackSubscriber: Migrate away from deprecated 'schema.' modules

https://gerrit.wikimedia.org/r/516694

Change 516694 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] trackSubscriber: Migrate away from deprecated 'schema.' modules

https://gerrit.wikimedia.org/r/516694

Change 517779 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[mediawiki/extensions/GuidedTour@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/517779

Change 517781 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[mediawiki/extensions/Popups@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/517781

Change 517781 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/517781

Change 517952 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/VisualEditor@master] trackSubscriber: Remove use of 'ext.eventLogging.subscriber' alias

https://gerrit.wikimedia.org/r/517952

Change 517954 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/MobileFrontend@master] Hygiene: remove use of deprecated 'ext.eventLogging.subscriber' alias

https://gerrit.wikimedia.org/r/517954

Change 517956 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/EventLogging@master] Remove the 'ext.eventLogging.subscriber' alias module

https://gerrit.wikimedia.org/r/517956

Change 517954 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: remove use of deprecated 'ext.eventLogging.subscriber' alias

https://gerrit.wikimedia.org/r/517954

Change 518044 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Fix: sync build outputs with source inputs

https://gerrit.wikimedia.org/r/518044

Change 518060 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[mediawiki/extensions/GettingStarted@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/518060

Having a bit of an issue setting up the MobileFrontEnd repo and submitting a patch, so a little more delay on that. Everything else looks to be done. This looked machine generated so I didn't try to change anything: https://gerrit.wikimedia.org/g/operations/mediawiki-config/+/68c4ebcf6a42f0c04d8a5e8b068071a840faa54c/docroot/wikipedia.org/speed-tests/Banksy.enwiki.872156204/startup.js#48

Having a bit of an issue setting up the MobileFrontEnd repo and submitting a patch, so a little more delay on that. Everything else looks to be done. This looked machine generated so I didn't try to change anything: https://gerrit.wikimedia.org/g/operations/mediawiki-config/+/68c4ebcf6a42f0c04d8a5e8b068071a840faa54c/docroot/wikipedia.org/speed-tests/Banksy.enwiki.872156204/startup.js#48

Yeah, it's a static and standalone dump of a page view. Unaffected by any change to the software. Fine to ignore, will continue to work.

Change 517779 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/517779

Change 517952 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] trackSubscriber: Remove use of 'ext.eventLogging.subscriber' alias

https://gerrit.wikimedia.org/r/517952

Change 518044 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix: sync build outputs with source inputs

https://gerrit.wikimedia.org/r/518044

Change 518060 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Remove dependencies on deprecated schema modules

https://gerrit.wikimedia.org/r/518060

Change 517956 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Remove the 'ext.eventLogging.subscriber' alias module

https://gerrit.wikimedia.org/r/517956

Krinkle updated the task description. (Show Details)Sat, Jun 22, 9:05 PM

Change 518858 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] Migrate away from deprecated 'schema.' modules

https://gerrit.wikimedia.org/r/518858

Change 518858 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate away from deprecated 'schema.' modules

https://gerrit.wikimedia.org/r/518858

Change 519028 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/EventLogging@master] Remove 'schema.*' modules from ResourceLoader startup registry

https://gerrit.wikimedia.org/r/519028

Change 519028 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] Remove 'schema.*' modules from ResourceLoader startup registry

https://gerrit.wikimedia.org/r/519028